Skip to content

Create an activity log

Request

Security
oauth2_client_credentials or oauth2_authorization_code
Query
activityLogIdstring, [ 4 .. 63 ] characters(activity_log_id)

Optional. The ID to use for the entity, which will become the final component of the entity's resource name. This value should be 4-63 characters, and valid characters are /[a-z][0-9]-/.

Bodyapplication/json

Required. The entity to create.

namestring(name)

(IDENTIFIER) The resource name of the activity. Format: activityLog/{activity_log}

typestring(type)required

Required. The type of the activity.

Enum:"ACTIVITY_TYPE_UNSPECIFIED""PEP_AND_SANCTIONS""DOCUMENT_VERIFICATION""IDENTITY_CHECK""RISK_RATING""UNUSUAL_ACTIVITY_REPORT""SUSPICIOUS_MATTER_REPORT""CUSTOM""KYB_PROFILE""FORM_CREATED"
sourcestring(source)required

Required. The source that performed the activity.

Enum:"ACTIVITY_SOURCE_UNSPECIFIED""BNDRY""RAPID_ID""TRUUTH""CONNECT_ID""HAWK_AI""KYC6""CUSTOMER""SIMPLE_KYC"
payloadbndry_risk_rating_result (object) or connect_id_identity_verification_result (object) or custom (object) or dvs_result (object) or form_created (object) or hawk_risk_rating_result (object) or identity_research_result (object) or kyc6_business_pep_sanctions_result (object) or kyc6_pep_sanctions_result (object) or rapid_id_pep_sanctions_result (object) or rapidid_dvs_result (object) or simplekyc_kyb_profile (object) or suspicious_matter_report (object) or truuth_identity_verification_result (object) or unusual_activity_report (object)(payload)required
One of:

Required. The payload containing activity-specific data.

entityNamesArray of strings, non-empty(entity_names)required

The entities involved in this activity.

workspacestring, <= 63 characters(workspace)

(OPTIONAL) The workspace involved in this activity.

curl -i -X POST \
  'https://docs.bndry.net/_mock/apis/openapi/v1alpha/activityLogs?activityLogId=activity-log-001' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
  -H 'Content-Type: application/json' \
  -d '{
    "name": "activityLogs/01234567-89ab-cdef-0123-456789abcdef",
    "type": "ACTIVITY_TYPE_UNSPECIFIED",
    "source": "ACTIVITY_SOURCE_UNSPECIFIED",
    "payload": {
      "bndryRiskRatingResult": {
        "riskRating": {
          "name": "string",
          "rules": [
            {
              "title": "string",
              "description": "string",
              "expression": "string",
              "enabled": true,
              "results": {}
            }
          ]
        },
        "riskRatingLevels": {
          "name": "string",
          "levels": [
            {
              "label": "string",
              "threshold": 0,
              "description": "string",
              "color": "string",
              "icon": "string"
            }
          ]
        }
      }
    },
    "createTime": "2023-01-15T01:30:15.01Z",
    "updateTime": "2023-01-15T01:30:15.01Z",
    "occurredTime": "2023-01-15T01:30:15.01Z",
    "deleteTime": "2023-01-15T01:30:15.01Z",
    "purgeTime": "2023-01-15T01:30:15.01Z",
    "entityNames": [
      "entities/john-smith-001"
    ],
    "workspace": "workspaces/01234567-89ab-cdef-0123-456789abcdef"
  }'

Responses

Success

Bodyapplication/json
namestring(name)

(IDENTIFIER) The resource name of the activity. Format: activityLog/{activity_log}

typestring(type)required

Required. The type of the activity.

Enum:"ACTIVITY_TYPE_UNSPECIFIED""PEP_AND_SANCTIONS""DOCUMENT_VERIFICATION""IDENTITY_CHECK""RISK_RATING""UNUSUAL_ACTIVITY_REPORT""SUSPICIOUS_MATTER_REPORT""CUSTOM""KYB_PROFILE""FORM_CREATED"
sourcestring(source)required

Required. The source that performed the activity.

Enum:"ACTIVITY_SOURCE_UNSPECIFIED""BNDRY""RAPID_ID""TRUUTH""CONNECT_ID""HAWK_AI""KYC6""CUSTOMER""SIMPLE_KYC"
payloadbndry_risk_rating_result (object) or connect_id_identity_verification_result (object) or custom (object) or dvs_result (object) or form_created (object) or hawk_risk_rating_result (object) or identity_research_result (object) or kyc6_business_pep_sanctions_result (object) or kyc6_pep_sanctions_result (object) or rapid_id_pep_sanctions_result (object) or rapidid_dvs_result (object) or simplekyc_kyb_profile (object) or suspicious_matter_report (object) or truuth_identity_verification_result (object) or unusual_activity_report (object)(payload)required
One of:

Required. The payload containing activity-specific data.

createTimestring, (date-time)(create_time)read-only

Output only. The timestamp when the activity was created.

updateTimestring, (date-time)(update_time)read-only

Output only. The timestamp when the activity was last updated.

occurredTimestring, (date-time)(occurred_time)read-only

Output only. The timestamp when the activity occurred.

For special activity types, this field uses specific dates from the payload:

  • UNUSUAL_ACTIVITY_REPORT: Uses the incident_date from report_details
  • SUSPICIOUS_MATTER_REPORT: Uses the incident_date from report_details
  • CUSTOM: Uses the activity_time from the custom activity payload

For all other activity types, or when the above dates are not provided, this defaults to the activity creation time.

deleteTimestring, (date-time)(delete_time)read-only

Output only. The timestamp when the activity log was deleted. See AIP-164.

purgeTimestring, (date-time)(purge_time)read-only

Output only. The timestamp when the activity log will be purged if soft-deleted. See AIP-164.

entityNamesArray of strings, non-empty(entity_names)required

The entities involved in this activity.

entityDisplayNamesArray of strings, non-empty(entity_display_names)read-only

The display names of the entities involved in this activity.

workspacestring, <= 63 characters(workspace)

(OPTIONAL) The workspace involved in this activity.

formDefinitionstring(form_definition)read-only

Output only. The form definition associated with the created form, if any. string.resource_name = ["formDefinitions/*"] // value must be a valid resource name

formstring(form)read-only

The form involved in this activity.

activityLogTypestring(activity_log_type)read-only
Response
{ "name": "activityLogs/01234567-89ab-cdef-0123-456789abcdef", "type": "ACTIVITY_TYPE_UNSPECIFIED", "source": "ACTIVITY_SOURCE_UNSPECIFIED", "payload": { "bndryRiskRatingResult": {} }, "createTime": "2023-01-15T01:30:15.01Z", "updateTime": "2023-01-15T01:30:15.01Z", "occurredTime": "2023-01-15T01:30:15.01Z", "deleteTime": "2023-01-15T01:30:15.01Z", "purgeTime": "2023-01-15T01:30:15.01Z", "entityNames": [ "entities/john-smith-001" ], "entityDisplayNames": [ "John Smith" ], "workspace": "workspaces/01234567-89ab-cdef-0123-456789abcdef", "formDefinition": "string", "form": "string", "activityLogType": "string" }